{combine_script id='jquery.dataTables' load='footer' path='themes/default/js/plugins/jquery.dataTables.js'}
{combine_css path="themes/default/js/plugins/datatables/css/jquery.dataTables.css"}

{footer_script}{literal}
(function($) {
	$(document).ready(function(){

		$oTable = $('#product_list').dataTable({
			"iDisplayLength": 10,
			"bStateSave": true,
			"bAutoWidth":   false,
			"aoColumns" : [
                          { sWidth: '2%','sClass': 'center', 'bSortable': false, },
                          { sWidth: '40%','sClass': 'product_row'  },
                          { sWidth: '40%'},
                          { sWidth: '7%' },
                          ],
			"oLanguage": {
				"sProcessing":     "{/literal}{'Loading...'|translate|escape:'javascript'}{literal}",
				"sSearch":         '<span class="icon-search"></span>'+"{/literal}{'Search'|translate|escape:'javascript'}{literal}",
				"sLengthMenu":     "{/literal}{'Display _MENU_ records per page'|translate|escape:'javascript'}{literal}",
				"sInfo":           "{/literal}{'Showing _START_ to _END_ of _TOTAL_ records'|translate|escape:'javascript'}{literal}",
				"sInfoEmpty":      "{/literal}{'Showing 0 to 0 of 0 records'|translate|escape:'javascript'}{literal}",
				"sInfoFiltered":   "{/literal}{'(filtered from _MAX_ total records)'|translate|escape:'javascript'}{literal}",
				"sInfoPostFix":    "",
				"sLoadingRecords": "{/literal}{'Loading...'|translate|escape:'javascript'}{literal}",
				"sZeroRecords":    "{/literal}{'No matching option found'|translate|escape:'javascript'}{literal}",
				"oPaginate": {
					"sFirst":    "{/literal}{'First'|translate|escape:'javascript'}{literal}",
					"sPrevious": '&larr; '+"{/literal}{'Previous'|translate|escape:'javascript'}{literal}",
					"sNext":     "{/literal}{'Next'|translate|escape:'javascript'}{literal}"+' &rarr;',
					"sLast":     "{/literal}{'Last'|translate|escape:'javascript'}{literal}",
				},
			},
		});
		
		$(document).on('click', '#prodSelectAll', function () {
			$('#product_list input[type=checkbox]').prop('checked', true);
			return false;
		});

		$(document).on('click', '#prodSelectNone', function(){
			$('#product_list input[type=checkbox]').prop('checked', false);
			return false;
		});

		$(document).on('click', '#prodSelectInvert', function(){
			$('#product_list input[type=checkbox]').each(function(){
				if($(this).is (':checked')){
					$(this).prop('checked', false);
				}else{
					$(this).prop('checked', true);
				}
			});
			return false;
		});
		
	});
})(jQuery);
{/literal}{/footer_script}


<div class="titrePage">
  <h2>{'Product'|@translate}</h2>
</div>

<div id=prod_table>
<form id="form">
	<table id=product_list>
	<thead>
		<tr>
			<th></th>
			<th>{'Product'|@translate}</th>
			<th>{'Note administrator'|@translate}</th>
			<th>{'Price'|@translate}</th>
			
		</tr>
	</tread>
	<tbody>
	{foreach from=$mps_product item=product name=product}
		<tr class="{if $smarty.foreach.product.index is odd}row1{else}row2{/if}">
			<td><input type="checkbox" name="productcheck[]" value={$product.id}></td>
			<td>{$product.product} </td>
			<td>{$product.noteAdmin}</td>
			<td>{$product.price} {$mps_conf.currency}</td>
		</tr>


	{/foreach}
	</tbody>
	</table>

	<div style="clear:right"></div>

	<p class="checkActions">
	{'Select:'|@translate}
	<a href="#" id="prodSelectAll">{'All'|@translate}</a>,
	<a href="#" id="prodSelectNone">{'None'|@translate}</a>,
	<a href="#" id="prodSelectInvert">{'Invert'|@translate}</a>
	</p>
	<input type="radio" name="thisprod" value="add" checked>{'Add the selected products for these images'|@translate}</input>&nbsp
	<input type="radio" name="thisprod" value="del">{'Delete the selected products for these images'|@translate}</input>
</form>  
</div>
  